require 'rubygems'
require 'bundler/setup'
require 'vcr'

require "gigest"

# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration
RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'

  # https://relishapp.com/vcr/vcr/v/2-5-0/docs/test-frameworks/usage-with-rspec-metadata
  config.treat_symbols_as_metadata_keys_with_true_values = true
end

VCR.configure do |config|
  config.cassette_library_dir = 'spec/fixtures/vcr_cassettes'
  config.hook_into :webmock # or :fakeweb

  # Referenced from https://github.com/octokit/octokit.rb/blob/master/spec/helper.rb
  config.configure_rspec_metadata!
  config.filter_sensitive_data("<<ACCESS_TOKEN>>") do
      ENV['GIGEST_TEST_GITHUB_TOKEN']
  end
  config.default_cassette_options = {
    :serialize_with             => :json,
    :preserve_exact_body_bytes  => true,
    :decode_compressed_response => true,
    :record                     => ENV['TRAVIS'] ? :none : :once
  }
end

# Debug Octokit
# stack = Faraday::Builder.new do |builder|
#   builder.response :logger
#   builder.use Octokit::Response::RaiseError
#   builder.adapter Faraday.default_adapter
# end
# Octokit.middleware = stack
